Bug 1746166 - Installer fails when using signed certificate on the initial install
Summary: Installer fails when using signed certificate on the initial install
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.6.0
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: 6.6.0
Assignee: Eric Helms
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-27 19:49 UTC by Ganesh Payelkar
Modified: 2019-10-22 12:48 UTC (History)
7 users (show)

Fixed In Version: katello-certs-tools-2.6.0,foreman-installer-1.22.0.13-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:48:10 UTC

Comment 3 Ganesh Payelkar 2019-08-27 19:52:13 UTC
Description of problem:

Installer fails when using the signed certificate on the initial install


Version-Release number of selected component (if applicable):

satellite-6.6.0-5.beta.el7sat.noarch
satellite-maintain-0.0.1-1.el7sat.noarch
satellite-installer-6.6.0.19-1.beta.el7sat.noarch
satellite-cli-6.6.0-5.beta.el7sat.noarch
satellite-common-6.6.0-5.beta.el7sat.noarch


How reproducible:

New installation with custom SSL certs. 


Steps to Reproduce:
1. Install new satellite 6.6 Beta 
2. Generated Custom SSL certs 
3. used --certs-server-cert/--certs-server-key/--certs-server-ca-cert  parameter with installer.

Actual results:

satellite-installer --scenario satellite --foreman-initial-organization redhat --foreman-initial-location pune --foreman-initial-admin-username admin --foreman-initial-admin-password 'test' --foreman-initial-admin-email example@example.com --foreman-proxy-dns-managed=false --foreman-proxy-dhcp-managed=false --certs-server-cert /root/sat_cert/satellite.crt --certs-server-key /root/sat_cert/satellite_cert_key.pem --certs-server-ca-cert /root/sat_cert/CA-Chain.crt


 can't find a file that should have been created during an earlier step:
       ./ssl-build/KATELLO-TRUSTED-SSL-CERT

       katello-ssl-tool --help

Generating web server's SSL key pair/set RPM:

Comment 14 Nikhil Kathole 2019-09-14 10:15:37 UTC
FailedQA

Version tested:
Satellite 6.6.0 snap 20

# satellite-installer --scenario satellite  -v --foreman-initial-admin-password="changeme" --foreman-proxy-dns="true" --foreman-proxy-dns-interface="virbr0" --foreman-proxy-dns-zone="usersys.redhat.com" --foreman-proxy-dhcp="true" --foreman-proxy-dhcp-interface="virbr0" --foreman-proxy-tftp="true" --foreman-proxy-tftp-servername="satellite.example.com" --foreman-proxy-register-in-foreman="true" --foreman-proxy-dhcp-range="192.168.100.10 192.168.100.254" --foreman-proxy-dhcp-gateway="192.168.100.1" --foreman-proxy-dns-reverse="100.168.192.in-addr.arpa" --katello-enable-ostree="true" --certs-server-cert /root/ownca/satellite.example.com/satellite.example.crt --certs-server-key /root/ownca/satellite.example.com/satellite.example.com.key --certs-server-ca-cert /root/ownca/satellite.example.com/cacert.crt --foreman-proxy-dns-forwarders="x.x.x.x" --foreman-proxy-dns-forwarders="x.x.x.x" --foreman-proxy-dns-forwarders="x.x.x.x" --foreman-proxy-dns-forwarders="x.x.x.x"

 [ INFO 2019-09-14T04:58:09 verbose]  /etc/httpd/conf.modules.d: Scheduling refresh of Class[Apache::Service]
 [ERROR 2019-09-14T04:58:09 verbose]  Could not set 'present' on ensure: No such file or directory @ rb_sysopen - /etc/pki/katello/private/katello-apache.key (file: /usr/share/foreman-installer/modules/certs/manifests/keypair.pp, line: 18)
 [ERROR 2019-09-14T04:58:09 verbose] /usr/share/foreman-installer/modules/certs/lib/puppet/provider/katello_ssl_tool.rb:180:in `initialize'
 [ERROR 2019-09-14T04:58:09 verbose] /usr/share/foreman-installer/modules/certs/lib/puppet/provider/katello_ssl_tool.rb:180:in `open'
 [ERROR 2019-09-14T04:58:09 verbose] /usr/share/foreman-installer/modules/certs/lib/puppet/provider/katello_ssl_tool.rb:180:in `create'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property/ensure.rb:16:in `block in defaultvalues'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property.rb:491:in `set'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property.rb:568:in `sync'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:239:in `sync'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:134:in `sync_if_needed'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:80:in `perform_changes'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:21:in `evaluate'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:259:in `apply'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:279:in `eval_resource'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:183:in `call'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:183:in `block (2 levels) in evaluate'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:519:in `block in thinmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/2.4.0/benchmark.rb:308:in `realtime'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:518:in `thinmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:183:in `block in evaluate'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/graph/relationship_graph.rb:121:in `traverse'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:173:in `evaluate'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:239:in `block (2 levels) in apply'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:519:in `block in thinmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/2.4.0/benchmark.rb:308:in `realtime'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:518:in `thinmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:238:in `block in apply'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/log.rb:161:in `with_destination'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/report.rb:146:in `as_logging_destination'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:237:in `apply'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:186:in `block (2 levels) in apply_catalog'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:519:in `block in thinmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/2.4.0/benchmark.rb:308:in `realtime'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:518:in `thinmark'

 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:185:in `block in apply_catalog'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:232:in `block in benchmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/2.4.0/benchmark.rb:308:in `realtime'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:231:in `benchmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:184:in `apply_catalog'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:366:in `run_internal'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:234:in `block in run'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `override'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:260:in `override'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:211:in `run'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:355:in `apply_catalog'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:280:in `block (2 levels) in main'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `override'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:260:in `override'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:280:in `block in main'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `override'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:260:in `override'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:233:in `main'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:174:in `run_command'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:375:in `block in run'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:667:in `exit_on_fail'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:375:in `run'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:139:in `run'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:77:in `execute'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/bin/puppet:5:in `<main>'
 [ERROR 2019-09-14T04:58:09 verbose]  Could not set 'present' on ensure: No such file or directory @ rb_sysopen - /etc/pki/katello/private/katello-apache.key (file: /usr/share/foreman-installer/modules/certs/manifests/keypair.pp, line: 18)
 [ERROR 2019-09-14T04:58:09 verbose] /usr/share/foreman-installer/modules/certs/lib/puppet/provider/katello_ssl_tool.rb:180:in `initialize'
 [ERROR 2019-09-14T04:58:09 verbose] /usr/share/foreman-installer/modules/certs/lib/puppet/provider/katello_ssl_tool.rb:180:in `open'
 [ERROR 2019-09-14T04:58:09 verbose] /usr/share/foreman-installer/modules/certs/lib/puppet/provider/katello_ssl_tool.rb:180:in `create'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property/ensure.rb:16:in `block in defaultvalues'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property.rb:491:in `set'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property.rb:568:in `sync'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:239:in `sync'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:134:in `sync_if_needed'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:80:in `perform_changes'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:21:in `evaluate'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:259:in `apply'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:279:in `eval_resource'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:183:in `call'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:183:in `block (2 levels) in evaluate'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:519:in `block in thinmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/2.4.0/benchmark.rb:308:in `realtime'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:518:in `thinmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:183:in `block in evaluate'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/graph/relationship_graph.rb:121:in `traverse'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:173:in `evaluate'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:239:in `block (2 levels) in apply'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:519:in `block in thinmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/2.4.0/benchmark.rb:308:in `realtime'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:518:in `thinmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:238:in `block in apply'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/log.rb:161:in `with_destination'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/report.rb:146:in `as_logging_destination'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:237:in `apply'

 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:186:in `block (2 levels) in apply_catalog'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:519:in `block in thinmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/2.4.0/benchmark.rb:308:in `realtime'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:518:in `thinmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:185:in `block in apply_catalog'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:232:in `block in benchmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/2.4.0/benchmark.rb:308:in `realtime'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:231:in `benchmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:184:in `apply_catalog'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:366:in `run_internal'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:234:in `block in run'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `override'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:260:in `override'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:211:in `run'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:355:in `apply_catalog'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:280:in `block (2 levels) in main'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `override'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:260:in `override'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:280:in `block in main'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `override'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:260:in `override'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:233:in `main'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:174:in `run_command'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:375:in `block in run'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:667:in `exit_on_fail'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:375:in `run'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:139:in `run'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:77:in `execute'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/bin/puppet:5:in `<main>'
 [ERROR 2019-09-14T04:58:09 verbose] Wrapped exception:
 [ERROR 2019-09-14T04:58:09 verbose] No such file or directory @ rb_sysopen - /etc/pki/katello/private/katello-apache.key
 [ERROR 2019-09-14T04:58:09 verbose] /usr/share/foreman-installer/modules/certs/lib/puppet/provider/katello_ssl_tool.rb:180:in `initialize'
 [ERROR 2019-09-14T04:58:09 verbose] /usr/share/foreman-installer/modules/certs/lib/puppet/provider/katello_ssl_tool.rb:180:in `open'
 [ERROR 2019-09-14T04:58:09 verbose] /usr/share/foreman-installer/modules/certs/lib/puppet/provider/katello_ssl_tool.rb:180:in `create'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property/ensure.rb:16:in `block in defaultvalues'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property.rb:491:in `set'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property.rb:568:in `sync'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:239:in `sync'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:134:in `sync_if_needed'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:80:in `perform_changes'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:21:in `evaluate'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:259:in `apply'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:279:in `eval_resource'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:183:in `call'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:183:in `block (2 levels) in evaluate'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:519:in `block in thinmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/2.4.0/benchmark.rb:308:in `realtime'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:518:in `thinmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:183:in `block in evaluate'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/graph/relationship_graph.rb:121:in `traverse'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:173:in `evaluate'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:239:in `block (2 levels) in apply'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:519:in `block in thinmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/2.4.0/benchmark.rb:308:in `realtime'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:518:in `thinmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:238:in `block in apply'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/log.rb:161:in `with_destination'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/report.rb:146:in `as_logging_destination'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:237:in `apply'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:186:in `block (2 levels) in apply_catalog'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:519:in `block in thinmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/2.4.0/benchmark.rb:308:in `realtime'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:518:in `thinmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:185:in `block in apply_catalog'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:232:in `block in benchmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/2.4.0/benchmark.rb:308:in `realtime'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:231:in `benchmark'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:184:in `apply_catalog'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:366:in `run_internal'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:234:in `block in run'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `override'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:260:in `override'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:211:in `run'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:355:in `apply_catalog'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:280:in `block (2 levels) in main'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `override'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:260:in `override'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:280:in `block in main'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `override'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:260:in `override'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:233:in `main'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:174:in `run_command'

 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:375:in `block in run'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:667:in `exit_on_fail'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:375:in `run'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:139:in `run'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:77:in `execute'
 [ERROR 2019-09-14T04:58:09 verbose] /opt/puppetlabs/puppet/bin/puppet:5:in `<main>'
 [ERROR 2019-09-14T04:58:09 verbose]  /Stage[main]/Certs::Apache/Certs::Keypair[apache]/Privkey[/etc/pki/katello/private/katello-apache.key]/ensure: change from 'absent' to 'present' failed: Could not set 'present' on ensure: No such file or directory @ rb_sysopen - /etc/pki/katello/private/katello-apache.key (file: /usr/share/foreman-installer/modules/certs/manifests/keypair.pp, line: 18)

Comment 16 Ewoud Kohl van Wijngaarden 2019-09-16 10:05:24 UTC
The issue is that the directory /etc/pki/katello/private doesn't exist when it wants to create /etc/pki/katello/private/katello-apache.key and it can't handle that. Not sure why this is surfacing now. Could be a regression or something that always existed. Either way, an autorequire on the parent directory should ensure it works and will test whether solves the issue.

Comment 17 Nikhil Kathole 2019-09-17 10:17:37 UTC
FailedQA 

version tested:
Satellite 6.6.0 snap 20.1

# rpm -q foreman
foreman-1.22.0.29-1.el7sat.noarch

Same error as above comment #14

Comment 19 Ewoud Kohl van Wijngaarden 2019-09-17 12:29:34 UTC
On the machine I see:

# rpm -qv foreman-installer
foreman-installer-1.22.0.12-1.el7sat.noarch

# grep version\" /usr/share/foreman-installer/modules/certs/metadata.json 
  "version": "6.0.0",

I would expect version 6.0.2 which includes the autorequire fix.

Comment 21 Nikhil Kathole 2019-09-23 11:13:41 UTC
VERIFIED

Version tested:
Satellite 6.6.0 snap 22

Installation completed with signed custom certs.

Comment 24 errata-xmlrpc 2019-10-22 12:47:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.